%{?nodejs_find_provides_and_requires}

%global packagename strong-log-transformer
%global enable_tests 1

Name:		nodejs-strong-log-transformer
Version:	1.0.6
Release:	5%{?dist}
Summary:	Stream transformer that prefixes lines with timestamps and other things

License:	Artistic 2.0
URL:		https://github.com/strongloop/strong-log-transformer
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh


ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(byline)
BuildRequires:	npm(duplexer)
BuildRequires:	npm(moment)
BuildRequires:	npm(through)
%if 0%{?enable_tests}
BuildRequires:	npm(tap)
BuildRequires:	npm(minimist)
%endif

%description
Stream transformer that prefixes lines with timestamps and other things.


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package

sed -i '1s/env //' bin/sl-log-transformer.js

%nodejs_fixdep minimist

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}/bin
install -p -D -m0755 bin/sl-log-transformer.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}/bin/sl-log-transformer.js

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tap test/
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc README.md CHANGES.md CONTRIBUTING.md
%license LICENSE.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri May  5 2017 Jared Smith <jsmith@fedoraproject.org> - 1.0.6-1
- Initial packaging
